Robotsystem of the Robot Group Leipzig: OdeAgent Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OdeAgent Class Reference

Specialised agent for ode robots. More...

`#include <odeagent.h>`

Inherits Agent.

Inheritance diagram for OdeAgent:

[legend]
Collaboration diagram for OdeAgent:

[legend]
List of all members.

## Public Member Functions
| OdeAgent (const PlotOption &plotOption=PlotOption(NoPlot), double noisefactor=1)
| constructor
| OdeAgent (const std::list< PlotOption > &plotOptions, double noisefactor=1)
virtual | ~OdeAgent ()
| destructor
virtual bool | init (AbstractController *controller, OdeRobot *robot, AbstractWiring *wiring, long int seed=0)
| initializes the object with the given controller, robot and wiring and initializes pipe to guilogger
virtual void | step (double noise, double time)
| Performs an step of the agent, including sensor reading, pushing sensor values through the wiring, controller step, pushing controller outputs (= motorcommands) back through the wiring and sent resulting motorcommands to robot.
virtual void | stepOnlyWiredController (double noise, double time)
| Special function for the class Simulation to seperate the step of the WiredController (plus TrackRobot) and the setting and getting of the motor- and sensorvalues.
virtual void | setMotorsGetSensors ()
| Special function for the class Simulation to seperate the step of the WiredController (plus TrackRobot) and the setting and getting of the motor- and sensorvalues.
void | internInit ()
virtual OdeRobot * | getRobot ()
| Returns a pointer to the robot.
virtual int | getTraceLength ()
| gives the number of past robot positions shown as trace in osg
virtual void | init_tracing (int tracelength=1000, double tracethickness=0.01)
| initialize tracing in ode

## Detailed Description

Specialised agent for ode robots.

Examples:

  template_sphererobot/main.cpp.

## Constructor & Destructor Documentation

OdeAgent | ( | const PlotOption & | plotOption = `PlotOption(NoPlot)`,
|  | double | noisefactor = `1` |
| ) |  |  | `[inline]`

constructor

OdeAgent | ( | const std::list< PlotOption > & | plotOptions,
|  | double | noisefactor = `1` |
| ) |  |  | `[inline]`

virtual ~OdeAgent | ( |  | ) | `[inline, virtual]`

destructor

## Member Function Documentation

virtual OdeRobot* getRobot | ( |  | ) | `[inline, virtual]`

Returns a pointer to the robot.

Reimplemented from Agent.

virtual int getTraceLength | ( |  | ) | `[inline, virtual]`

gives the number of past robot positions shown as trace in osg

virtual bool init | ( | AbstractController * | controller,
|  | OdeRobot * | robot,
|  | AbstractWiring * | wiring,
|  | long int | seed = `0` |
| ) |  |  | `[inline, virtual]`

initializes the object with the given controller, robot and wiring and initializes pipe to guilogger

Examples:
  template_sphererobot/main.cpp.

void init_tracing | ( | int | tracelength = `1000`,
|  | double | tracethickness = `0.01` |
| ) |  |  | `[virtual]`

initialize tracing in ode

Parameters:

  | tracelength | number of past positions shown as trace in osg
  | tracethickness | thickness of the trace

void internInit | ( |  | ) | `[inline]`

Reimplemented from WiredController.

void setMotorsGetSensors | ( |  | ) | `[virtual]`

Special function for the class Simulation to seperate the step of the WiredController (plus TrackRobot) and the setting and getting of the motor- and sensorvalues.

void step | ( | double | noise,
|  | double | time |
| ) |  |  | `[virtual]`

Performs an step of the agent, including sensor reading, pushing sensor values through the wiring, controller step, pushing controller outputs (= motorcommands) back through the wiring and sent resulting motorcommands to robot.

Parameters:

  | noise | Noise strength.
  | time | (optional) current simulation time (used for logging)

Reimplemented from Agent.

void stepOnlyWiredController | ( | double | noise,
|  | double | time |
| ) |  |  | `[virtual]`

Special function for the class Simulation to seperate the step of the WiredController (plus TrackRobot) and the setting and getting of the motor- and sensorvalues.

Parameters:

  | noise@see | step()
  | time@see | step()

The documentation for this class was generated from the following files:

- odeagent.h
- odeagent.cpp